window.Gleam.initSearch([{"doc":"tom","title":"tom","content":"# tom\n\nA (not quite complete) pure Gleam TOML parser!\n\n[![Package Version](https://img.shields.io/hexpm/v/tom)](https://hex.pm/packages/tom)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/tom/)\n\n\n```sh\ngleam add tom\n```\n```gleam\nimport tom\n\nconst config = &quot;\n  name = \\&quot;tom\\&quot;\n  version = \\&quot;0.1.0\\&quot;\n&quot;\n\npub fn main() {\n  let assert Ok(parsed) = tom.parse(config)\n  // Now do stuff with your data!\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/tom&gt;.\n\n## Status\n\n- [x] Bare key\n- [x] Double quoted key\n- [x] Single quoted key\n- [x] Multi-segment key\n- [x] Mixed multi-segment key\n- [x] Table\n- [ ] Array of tables\n- [x] String\n- [ ] Multi-line string\n- [ ] String \\b escape sequence\n- [x] String \\t escape sequence\n- [x] String \\n escape sequence\n- [ ] String \\f escape sequence\n- [x] String \\r escape sequence\n- [ ] String \\e escape sequence\n- [x] String \\&quot; escape sequence\n- [x] String \\\\ escape sequence\n- [ ] String \\xHH escape sequence\n- [ ] String \\uHHHH escape sequence\n- [ ] String \\UHHHHHHHH escape sequence\n- [x] Positive number operator\n- [x] Negative number operator\n- [x] Decimal integer\n- [x] Decimal integer with underscores\n- [ ] Hex integer\n- [ ] Octal integer\n- [ ] Binary integer\n- [x] Float\n- [ ] Float with exponent\n- [x] Boolean\n- [ ] Offset Date-Time\n- [ ] Local Date-Time\n- [ ] Local Date\n- [ ] Local Time\n- [x] Array\n- [x] Inline Table\n","url":"index.html"},{"doc":"tom","title":"ParseError","content":"pub type ParseError {\n  Unexpected(got: String, expected: String)\n  KeyAlreadyInUse(List(String))\n}\n\nUnexpected(got: String, expected: String)\n\n\nKeyAlreadyInUse(List(String))\n\n\nSynonyms:\ntom.ParseError\ntom ParseError","url":"tom.html#ParseError"},{"doc":"tom","title":"Toml","content":"pub type Toml {\n  Int(Int)\n  Float(Float)\n  Bool(Bool)\n  String(String)\n  Date(String)\n  Time(String)\n  DateTime(String)\n  Array(List(Toml))\n  Table(Map(String, Toml))\n}\n\nInt(Int)\n\n\nFloat(Float)\n\n\nBool(Bool)\n\n\nString(String)\n\n\nDate(String)\n\n\nTime(String)\n\n\nDateTime(String)\n\n\nArray(List(Toml))\n\n\nTable(Map(String, Toml))\n\n\nSynonyms:\ntom.Toml\ntom Toml","url":"tom.html#Toml"},{"doc":"tom","title":"parse","content":"pub fn parse(\n  input: String,\n) -&gt; Result(Map(String, Toml), ParseError)\n\nSynonyms:\ntom.parse\ntom parse","url":"tom.html#parse"},{"doc":"tom","title":"tom","content":"","url":"tom.html"}]);